Bug 1467297 - Tracker: mariadb library change "libmysqlclient.so.18.0.0" -> "libmariadb.so.3"
Tracker: mariadb library change "libmysqlclient.so.18.0.0" -> "libmariadb.so.3"
Status: NEW
Product: Fedora
Classification: Fedora
Component: mariadb (Show other bugs)
27
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michal Schorm
Fedora Extras Quality Assurance
https://jira.mariadb.org/browse/MDEV-...
:
Depends On: 1469993 1467312 1467643 1467652 1467667 1467703 1467706 1470036 1470133 1470175 1470196 1470527 1470529 1470540 1470642 1470741 1470854 1471065 1471139 1471173 1471195 1471206
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 06:41 EDT by Augusto Caringi
Modified: 2017-08-15 05:18 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The list of affected packages (879 bytes, text/plain)
2017-07-03 06:48 EDT, Michal Schorm
no flags Details

  None (edit)
Description Augusto Caringi 2017-07-03 06:41:09 EDT
This is a tracker for the issues regarding the upgrade to MariaDB 10.2. There is a SONAME change in the library so rebuild of dependent packages is needed. There is also some modifications in the library code (headers) that can cause build errors and in this case affected packages will need fixes.
Comment 2 Michal Schorm 2017-07-03 06:48 EDT
Created attachment 1293814 [details]
The list of affected packages

The list of affected packages
Comment 3 Kevin Kofler 2017-07-04 05:59:30 EDT
These changes are a result of the switch from the GPL-licensed client library to the LGPL-licensed one:
https://jira.mariadb.org/browse/MDEV-9055
Comment 4 Adam Williamson 2017-07-12 16:00:20 EDT
Trackers typically *depend on* other bugs, they don't *block* them. Augusto, should all those Blocks: be Depends On: instead?
Comment 5 Adam Williamson 2017-07-12 16:01:45 EDT
Also, why is there no bug for net-snmp ? The build of that package in the COPR seems to have failed.
Comment 6 Honza Horak 2017-07-13 02:06:30 EDT
(In reply to Adam Williamson from comment #4)
> Trackers typically *depend on* other bugs, they don't *block* them. Augusto,
> should all those Blocks: be Depends On: instead?

Yeah, that would make it more clear I believe, changing that.

(In reply to Adam Williamson from comment #5)
> Also, why is there no bug for net-snmp ? The build of that package in the
> COPR seems to have failed.

We're proceeding with the failed packages, the bug for net-snmp will be created soon as well.
Comment 7 Michal Schorm 2017-07-13 07:37:02 EDT
Upstream JIRA ticket for issues and questions:
  https://jira.mariadb.org/browse/MDEV-13314
Comment 8 Rex Dieter 2017-07-13 09:32:39 EDT
Someone mind adding a link to the work-in-progress copr here too?  (unless you don't think that would be helpful, then nevermind)
Comment 9 Augusto Caringi 2017-07-13 09:38:02 EDT
(In reply to Rex Dieter from comment #8)
> Someone mind adding a link to the work-in-progress copr here too?  (unless
> you don't think that would be helpful, then nevermind)

https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/
Comment 10 Jan Kurik 2017-08-15 05:18:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.